<configuration>
	<contextListener class="ch.qos.logback.classic.jul.LevelChangePropagator">
	    <!-- reset all previous level configurations of all j.u.l. loggers -->
	    <resetJUL>true</resetJUL>
	</contextListener>
	<appender name="CONSOLE"
		class="ch.qos.logback.core.ConsoleAppender">
		<filter class="ch.qos.logback.classic.filter.ThresholdFilter">
			<level>DEBUG</level>
		</filter>
		<encoder>
			<pattern>%d{HH:mm:ss.SSS} [%thread] %-5level %logger{36} - %msg%n
			</pattern>
		</encoder>
	</appender>

	<logger id="org.gecko" level="DEBUG">
		<appender-ref ref="CONSOLE" />
	</logger>
	 <!-- log all Bundle events -->
    <logger name="Events.Bundle" level="INFO">
    	<appender-ref ref="CONSOLE" />
    </logger>

    <logger name=" org.apache.felix.scr" level="DEBUG">
    	<appender-ref ref="CONSOLE" />
    </logger>

    <logger name="Events.Service.org.gecko" level="DEBUG">
    	<appender-ref ref="CONSOLE" />
    </logger>

	<root level="INFO">
		<appender-ref ref="CONSOLE" />
	</root>
</configuration>